Bug 1384926 - swift formpost pipeline order issue
Summary: swift formpost pipeline order issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Ivan Chavero
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 11:36 UTC by Attila Fazekas
Modified: 2016-12-14 16:19 UTC (History)
10 users (show)

Fixed In Version: openstack-packstack-9.0.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:19:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 387802 None None None 2016-10-25 12:25:51 UTC

Description Attila Fazekas 2016-10-14 11:36:59 UTC
Description of problem: 
packstack configures the swift proxy pipeline in way which fails on 3 tempest test:

tempest.api.object_storage.test_object_formpost_negative.ObjectFormPostNegativeTest.test_post_object_using_form_expired[id-d3fb3c4d-e627-48ce-9379-a1631f21336d,negative] 
 tempest.api.object_storage.test_object_formpost_negative.ObjectFormPostNegativeTest.test_post_object_using_form_invalid_signature[id-b277257f-113c-4499-b8d1-5fead79f7360]
 
tempest.api.object_storage.test_object_formpost.ObjectFormPostTest.test_post_object_using_form[id-80fac02b-6e54-4f7b-be0d-a965b5cbef76] 


moving the frompost before the staticweb helps.


Additional info:
openstack-packstack-9.0.0-0.20160922140727.3f43120.1.el7ost.noarch
openstack-packstack-puppet-9.0.0-0.20160922140727.3f43120.1.el7ost.noarch
openstack-swift-object-2.10.1-0.20160929005314.3349016.el7ost.noarch
python-swiftclient-3.1.0-1.el7ost.noarch
openstack-swift-account-2.10.1-0.20160929005314.3349016.el7ost.noarch
openstack-swift-container-2.10.1-0.20160929005314.3349016.el7ost.noarch
python-swift-2.10.1-0.20160929005314.3349016.el7ost.noarch
puppet-swift-9.4.0-1.el7ost.noarch
openstack-swift-proxy-2.10.1-0.20160929005314.3349016.el7ost.noarch

Comment 10 errata-xmlrpc 2016-12-14 16:19:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.